【Ruby on Rails】なぜかherokuにpushできない…

またまたRailsチュートリアルです。
(ちなみに、前回の問題はなんとか解決しました。ありがとうございました。)

アプリケーション自体は、全部作り終わったんですが、ここにきてプッシュできない…

ネットで一通り調べて、対策してみたが全く変わらず
もしわかる方いらっしゃれば、知恵をお借りしたいっす。

エラー内容は下の通り。
どうやら、実行環境にうまくアクセスできていないっぽいんですが、、、

remote:  !     Precompiling assets failed.
remote:  !
remote:  !     Push rejected, failed to compile Ruby app.
remote: 
remote:  !     Push failed
remote: Verifying deploy...
remote: 
remote: !       Push rejected to xxx.
remote: 
To git@heroku.com:xxx.git
 ! [remote rejected] master -> master (pre-receive hook declined)
error: failed to push some refs to 'git@heroku.com:xxx.git'

念のため、pushの結果の全文も載せておきます。

Counting objects: 113, done.
Delta compression using up to 8 threads.
Compressing objects: 100% (109/109), done.
Writing objects: 100% (113/113), 19.75 KiB | 0 bytes/s, done.
Total 113 (delta 55), reused 0 (delta 0)
remote: Compressing source files... done.
remote: Building source:
remote: 
remote: -----> Ruby app detected
remote: -----> Compiling Ruby/Rails
remote: -----> Using Ruby version: ruby-2.2.4
remote: -----> Installing dependencies using bundler 1.11.2
remote:        Running: bundle install --without development:test --path vendor/bundle --binstubs vendor/bundle/bin -j4 --deployment
remote:        Warning: the running version of Bundler is older than the version that created the lockfile. We suggest you upgrade to the latest version of Bundler by running `gem install bundler`.
remote:        Fetching gem metadata from https://rubygems.org/...........
remote:        Fetching version metadata from https://rubygems.org/...
remote:        Fetching dependency metadata from https://rubygems.org/..
remote:        Using i18n 0.7.0
remote:        Using rake 11.2.2
remote:        Using json 1.8.3
remote:        Using minitest 5.9.0
remote:        Using thread_safe 0.3.5
remote:        Using builder 3.2.2
remote:        Using erubis 2.7.0
remote:        Using mini_portile2 2.1.0
remote:        Using pkg-config 1.1.7
remote:        Using rack 1.6.4
remote:        Using mime-types-data 3.2016.0521
remote:        Using arel 6.0.3
remote:        Using bcrypt 3.1.7
remote:        Using sass 3.4.22
remote:        Using will_paginate 3.0.7
remote:        Using coffee-script-source 1.10.0
remote:        Using execjs 2.7.0
remote:        Using thor 0.19.1
remote:        Using concurrent-ruby 1.0.2
remote:        Installing CFPropertyList 2.3.2
remote:        Installing formatador 0.2.5
remote:        Using multi_json 1.12.1
remote:        Installing excon 0.52.0
remote:        Installing xml-simple 1.1.5
remote:        Installing ipaddress 0.8.3
remote:        Using pg 0.17.1
remote:        Using bundler 1.11.2
remote:        Using rails_serve_static_assets 0.0.5
remote:        Using rails_stdout_logging 0.0.5
remote:        Using tilt 2.0.5
remote:        Using faker 1.4.2
remote:        Using rdoc 4.2.2
remote:        Installing inflecto 0.0.2
remote:        Using tzinfo 1.2.2
remote:        Using nokogiri 1.6.8
remote:        Using mime-types 3.1
remote:        Using rack-test 0.6.3
remote:        Using puma 2.11.1
remote:        Using bootstrap-will_paginate 0.0.10
remote:        Using bootstrap-sass 3.2.0.0
remote:        Using coffee-script 2.4.1
remote:        Using uglifier 2.5.3
remote:        Using sprockets 3.7.0
remote:        Installing subexec 0.2.3
remote:        Using rails_12factor 0.0.2
remote:        Using sdoc 0.4.0
remote:        Using activesupport 4.2.2
remote:        Using loofah 2.0.3
remote:        Using mail 2.6.4
remote:        Installing fission 0.5.0
remote:        Using rails-deprecated_sanitizer 1.0.3
remote:        Using globalid 0.3.7
remote:        Using activemodel 4.2.2
remote:        Using jbuilder 2.2.3
remote:        Using rails-html-sanitizer 1.0.3
remote:        Using rails-dom-testing 1.0.7
remote:        Using activejob 4.2.2
remote:        Using activerecord 4.2.2
remote:        Installing fog-core 1.42.0
remote:        Using actionview 4.2.2
remote:        Installing mini_magick 3.8.0
remote:        Installing fog-json 1.0.2
remote:        Installing carrierwave 0.10.0
remote:        Installing fog-xml 0.1.2
remote:        Using actionpack 4.2.2
remote:        Installing fog-vmfusion 0.1.0
remote:        Installing fog-local 0.3.0
remote:        Installing fog-aliyun 0.1.0
remote:        Installing fog-sakuracloud 1.7.5
remote:        Installing fog-brightbox 0.11.0
remote:        Installing fog-serverlove 0.1.2
remote:        Installing fog-softlayer 1.1.4
remote:        Installing fog-storm_on_demand 0.1.1
remote:        Installing fog-atmos 0.1.0
remote:        Installing fog-dynect 0.0.3
remote:        Installing fog-aws 0.11.0
remote:        Installing fog-ecloud 0.3.0
remote:        Installing fog-google 0.1.0
remote:        Installing fog-powerdns 0.1.1
remote:        Installing fog-profitbricks 0.0.5
remote:        Installing fog-radosgw 0.0.5
remote:        Installing fog-riakcs 0.1.0
remote:        Installing fog-voxel 0.1.0
remote:        Using actionmailer 4.2.2
remote:        Using railties 4.2.2
remote:        Using sprockets-rails 3.1.1
remote:        Using coffee-rails 4.1.0
remote:        Using jquery-rails 4.0.3
remote:        Using rails 4.2.2
remote:        Using sass-rails 5.0.6
remote:        Using turbolinks 2.3.0
remote:        Installing fog-terremark 0.1.0
remote:        Installing fog-xenserver 0.2.3
remote:        Installing fog 1.36.0
remote:        Bundle complete! 26 Gemfile dependencies, 94 gems now installed.
remote:        Gems in the groups development and test were not installed.
remote:        Bundled gems are installed into ./vendor/bundle.
remote:        Bundle completed (11.55s)
remote:        Cleaning up the bundler cache.
remote:        Warning: the running version of Bundler is older than the version that created the lockfile. We suggest you upgrade to the latest version of Bundler by running `gem install bundler`.
remote: -----> Preparing app for Rails asset pipeline
remote:        Running: rake assets:precompile
remote:        rake aborted!
remote:        ArgumentError: Missing required arguments: aws_access_key_id, aws_secret_access_key
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/fog-core-1.42.0/lib/fog/core/service.rb:244:in `validate_options'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/fog-core-1.42.0/lib/fog/core/service.rb:268:in `handle_settings'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/fog-core-1.42.0/lib/fog/core/service.rb:98:in `new'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/fog-core-1.42.0/lib/fog/core/services_mixin.rb:16:in `new'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/fog-core-1.42.0/lib/fog/storage.rb:27:in `new'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/carrierwave-0.10.0/lib/carrierwave/uploader/configuration.rb:83:in `eager_load_fog'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/carrierwave-0.10.0/lib/carrierwave/uploader/configuration.rb:96:in `fog_credentials='
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/config/initializers/carrier_wave.rb:3:in `block in '
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/carrierwave-0.10.0/lib/carrierwave/uploader/configuration.rb:118:in `configure'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/carrierwave-0.10.0/lib/carrierwave.rb:14:in `configure'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/config/initializers/carrier_wave.rb:2:in `'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/activesupport-4.2.2/lib/active_support/dependencies.rb:268:in `load'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/activesupport-4.2.2/lib/active_support/dependencies.rb:268:in `block in load'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/activesupport-4.2.2/lib/active_support/dependencies.rb:240:in `load_dependency'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/activesupport-4.2.2/lib/active_support/dependencies.rb:268:in `load'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/railties-4.2.2/lib/rails/engine.rb:652:in `block in load_config_initializer'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/activesupport-4.2.2/lib/active_support/notifications.rb:166:in `instrument'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/railties-4.2.2/lib/rails/engine.rb:651:in `load_config_initializer'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/railties-4.2.2/lib/rails/engine.rb:616:in `block (2 levels) in '
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/railties-4.2.2/lib/rails/engine.rb:615:in `each'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/railties-4.2.2/lib/rails/engine.rb:615:in `block in '
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/railties-4.2.2/lib/rails/initializable.rb:30:in `instance_exec'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/railties-4.2.2/lib/rails/initializable.rb:30:in `run'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/railties-4.2.2/lib/rails/initializable.rb:55:in `block in run_initializers'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/railties-4.2.2/lib/rails/initializable.rb:44:in `each'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/railties-4.2.2/lib/rails/initializable.rb:44:in `tsort_each_child'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/railties-4.2.2/lib/rails/initializable.rb:54:in `run_initializers'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/railties-4.2.2/lib/rails/application.rb:352:in `initialize!'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/config/environment.rb:5:in `'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/railties-4.2.2/lib/rails/application.rb:328:in `require'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/railties-4.2.2/lib/rails/application.rb:328:in `require_environment!'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/railties-4.2.2/lib/rails/application.rb:457:in `block in run_tasks_blocks'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/sprockets-rails-3.1.1/lib/sprockets/rails/task.rb:62:in `block (2 levels) in define'
remote:        /tmp/build_b049c5d10992cba63c4f5f594be2e1ba/vendor/bundle/ruby/2.2.0/gems/rake-11.2.2/exe/rake:27:in `'
remote:        Tasks: TOP => environment
remote:        (See full trace by running task with --trace)
remote:  !
remote:  !     Precompiling assets failed.
remote:  !
remote:  !     Push rejected, failed to compile Ruby app.
remote: 
remote:  !     Push failed
remote: Verifying deploy...
remote: 
remote: !       Push rejected to xxx.
remote: 
To git@heroku.com:xxx.git
 ! [remote rejected] master -> master (pre-receive hook declined)
error: failed to push some refs to 'git@heroku.com:xxx.git'

以上です。

どうか宜しくお願いします。

コメントを残す

メールアドレスが公開されることはありません。

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください